@import '../../sass/variables.scss';
@import '../../sass/general.scss';
.Quiz {
    background-color: white;
    border-radius: 15px;
    box-shadow: 0 0 30px rgba($magic-mint, .7);
    width: 50vw;
    min-width: 300px;
    min-height: 300px;
    padding: 30px;
    box-sizing: border-box;
    position: absolute;
    left: 50%;
    top: 50%; 
    transform: translate(-50%, -50%);
    text-align: center;
    .timer{
        text-align: left;
        font-size: .8rem;
        &.warning{
            color: red !important;
            font-weight: bold;
        }
    }

    h2{
        color: $bittersweet;
        font-size: 1.3rem;
    }
    ol.answers{
        display: inline-block;
        text-align: left;
    }
    .controls{
        margin: 20px auto;
        width: 50%;
        min-width: 300px;
        button{
            background-color: rgba($bittersweet, .4);
            &:hover, &:active, &:focus{
                background-color: rgba($bittersweet, 1.0);
                cursor: pointer;
            }
            &:disabled{
                background-color: rgba($bittersweet, .4);
                cursor: not-allowed;
            }
        }
    }
    .submit{
        margin: 40px 0 0;
        button{
            background-color: $magic-mint;
            color: $oxford-blue;
            transition: all .4s;
            &:hover, &:active, &:focus{
                background-color: $oxford-blue;
                color: $magic-mint;
                cursor: pointer;
            }
        }
    }
    .testProgress{

        ul{
            padding: 0;
            margin: 0 auto;
            width: 50%;
            list-style-type: none;
            display: flex;
            flex-wrap: wrap;
            justify-content: space-evenly;
            
            li{
                display: inline;
                button{
                    display: inline-block;
                    width: 15px;
                    height: 15px;
                    margin: 5px;
                    padding: 0;
                    border-radius: 50%;
                    background-color: rgba(black, .2);
                    border: 2px solid rgba(black, .2);
                    &.active{
                        background-color: rgba(black, .9);
                        border: 2px solid $bittersweet;
                    }
                    &.complete{
                        background-color: $magic-mint;
                    }
                    &:hover, &:active, &:focus{
                        cursor: pointer;
                        border-color: black;
                    }
                    
                }
            }
        }
    }
}
button.reload{
    background-color: transparent;
    margin: 0 0 0 10px;
    padding: 0;
    display: inline;
    &:hover, &:active, &:focus{
        cursor: pointer;
        path{
            fill: $bittersweet;
        }
    }
}